scat(1)(WCSTools)

Name
scat - Find catalog stars in a square or circle on the sky

Synopsis
scat [options] [-b or -j] ra dec

Description
scat is a utility for finding all of the Hubble Space Telescope Guide Star Catalog (GSC), U.S. Naval Observatory A2.0 (UA2), B1.0 (UB1), SA2.0 (USA2), or UJ (UJC) Catalogs, or locally catalogued objects in a specified region of the sky and listing their sky coordinates to standard output. If the -w flag is set, they are written to a file objectname.catalogname, where objectname is given by the argument to -o on the command line, defaulting to "search", and catalogname is given by the argument to -c on the command line. The catalog defaults to the GSC, if no -c argument is present. scat resembles rgsc(1) and star(1), which can search from lists of coordinates but cannot sort the output. sgsc, suac, and susac are links to this program.1

Options

-a  List the single closest catalog source

-b <RA> <Dec>
    Output B1950 (FK4) coordinates around this center

-c <name>
    Reference catalog (gsc(=HST GSC), ua2(=USNO-A2.0), TMC(=2MASS Point Source Catalog), gsc2(=GSC II), ub1(=USNO-B1.0), local file, etc.)

-d
     Output RA and Dec in degrees instead of hh:mm:ss dd:mm:ss

-e  Output ecliptic coordinates

-f  Output search center for other programs

-g <class>
    HST Guide Star Catalog object class (0=stars 3=galaxies -1=all)

-h  Print search and column heading, else do not

-i  Print catalog object name, not catalog number

-j <RA> <Dec>
    Output J2000 (FK5) coordinates around this center

-k <keyword>
    Add value of this keyword to end of output lines from a tab table search

-l  Print search center and closest star on one line

-m [<bright magnitude>] <faint magnitude>
    Limiting catalog magnitude(s) (default none, bright -2 if only faint is given)

-n <num>
    Number of brightest stars to print

-o <name>
    Object name used for output file naming

-q <year>
    Equinox of output position in fractional years

-r <radius>
    Halfwidth (-radius if negative) of search area in arcseconds (default 10)

-s d|m|n|p|r
    Sort by (d)eclination, (m)agnitude, (n)o sort, (p)distance from center, or (r)ight ascension.

-t  Tab table to standard output or file

-u <x> <y>
    Print x y instead of number in front of non-tab output, before RA and Dec or add x and y columns to end of tab output line

-v  Verbose listing of processing intermediate results

-w  Write output file objectname.catalog or search.catalog if -o is not used.

-x <type>
    GSC object type (0=stars 3=galaxies -1=all -2=bands)

-y <year>
    Epoch of output positions in fractional years (for proper motion only)

-z  Append to existing output file search.catalog or objectname.catalog. Start file if it does not already exist.

See Also
imcat()

Web Page
http://tdc-www.harvard.edu/software/wcstools/scat/

Author
Doug Mink, SAO (dmink@cfa.harvard.edu)